Bug 109598 - Logout causes screen "image" to "follow" pointer movement
Logout causes screen "image" to "follow" pointer movement
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: 110639
  Show dependency treegraph
 
Reported: 2003-11-09 18:05 EST by Luke Simon
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 02:32:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Simon 2003-11-09 18:05:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
When logging out of the desktop, the screen turns black and flickers,
as usually happens when X restarts, but once the log-in GUI is
displayed, the screen image is off center and wraps around.  The
screen image follows the movement of the mouse pointer, but the actual
screen doesn't.  In other words, the location of the text box is still
in the center of the screen, but the graphical image of the entire
screen shifts along with mouse movement.

I can still interact with the GUI widgets, but it is extremely
difficult, as the visual display of the entire screen shifts and wraps
around.  The only way to fix the problem is to reboot!

Note that the screen image doesn't move like when you have virtual
desktop enabled, with a larger resolution than your actual display is
set to.  The screen image moves with a one to one correspondence with
the mouse movement, and the image wraps around on all sides of the screen.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Log into the desktop
2. Log out

    

Actual Results:  The screen image moves with mouse movement.

Additional info:

I am running an "all defaults" Fedora Core 1 desktop install on my IBM
T30 laptop.  It has an ATI Radeon 7500 Mobility.  I did not have this
problem with Redhat 9.  I also appear to have no other X related
issues.  As long as I do not log-out, everything is perfect!
Comment 1 Gennady Feldman 2003-12-16 10:54:30 EST
Ok, i have seen this issue specifically, which is really annoying.
Another thing that I saw is that i usually run 2 X servers in parallel
(2 different VTs). One is local login, another one is remote session.
I am using ATI Radeon Mobility 6. So after a logout on the remote
screen if I VT switch to the local (which is fine btw) when I switch
back to the remote VT the screen goes blank and stays this way until I
switch to another VT. 

I pulled the latest SRPM from rawhide which still has this issue. [ I
run Fedora Core 1. ]

I went and pulled out a few radeon patches and the problems went away.
One patch that's really big (>100k) is (see the SPEC file from XFree86
srpm):
Patch1202:
XFree86-4.3.0-radeon-support-from-ATI-backport-from-CVS-v2.patch

I also had to pull out the following patches (which by first glance
are not related to the issue, but depend on the above patch in order
to patch and compile properly)
Patch1211: XFree86-4.3.0-redhat-radeon-forcelegacycrt-for-alan.patch
Patch1215: XFree86-4.3.0-radeon-support-backport-from-CVS-v2.patch
Patch1216: XFree86-4.3.0-radeon-autodetect-pci-or-agp-cards.patch
Patch1217:
XFree86-4.3.0-radeon-agp-detection-using-capability-list-walk.patch

These changes solve this issue and a bunch of others. This could also
 resolve 109413 and possibly few others. In my opinion Patch1202 needs
to be taken apart into smaller patches so that the other patches could
be pulled in again. This would also let us close in on the problematic
changes of code. 

If I manage to find more info on this, i'll report it here, time
permitting.

Comment 2 Mark Heslep 2003-12-18 12:10:55 EST
I suspect my report of 110639 is related to the problem reported here
and likely 109413 too.  Have not tried bebuilding w/o Patch1202. 
Please announce if you post a link to the modified binary XFree86 package.
Comment 3 Mike A. Harris 2003-12-18 13:04:26 EST
It's helpful when refering to other bug reports in bugzilla, to
state them with the word "bug #" in front of them as bugzilla then
automatically puts a hyperlink to them so you don't have to cut and
paste, or type in the bug numbers to view them.

I'll look at bug #110639 and bug #109413 now.  ;o)
Comment 4 Luke Simon 2004-02-05 00:07:13 EST
I should add that I notice this bug only when I am using an external
monitor.  When I use my Thinkpad's built-in LCD screen, I don't have
this problem.

There are a few other things that do not work correctly when using an
external display as opposed to the built-in laptop LCD.  One is the
"xv" driver in Mplayer doesn't work... that is, I get no video, just a
black or dark green splotch, and it does work with just the laptop LCD.

This is a bad thing because I have to revert to the X11 driver and
software scaling, which is heavy on the CPU utilization.

So I guess what I am trying to say is that Fedora doesn't seem to work
correctly when you use an external CRT with your IBM Thinkpad T30.
Comment 5 Mike A. Harris 2004-10-12 02:32:47 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.